Class | Exception
In: | lib/merb-core/controller/exceptions.rb
Parent: | Object

### Methods

action_name action_name same? status

### Public Class methods

action_name()

Returns the action_name that will be invoked on your Exceptions controller when an instance is raised during a request.

#### Returns

String: | The name of the action in the Exceptions controller which will get invoked

      when an instance of this Exception sub/class is raised by an action.

:api: public @overridable

status()

The status that will be sent in the response when an instance is raised during a request. Override this to send a different status.

#### Returns

Integer: | The status code to send in the response. Defaults to 500.

:api: public @overridable

### Public Instance methods

action_name()

Returns the action_name that will be invoked on your Exceptions controller when this exception is raised. Override this method to force a different action to be invoked.

#### Returns

String: | The name of the action in the Exceptions controller which will get invoked

      when this exception is raised during a request.

:api: public @overridable

same?(other)

#### Returns

Boolean: | Whether or not this exception is the same as another.

:api: public

[Validate]